> ## Documentation Index
> Fetch the complete documentation index at: https://www.spacebring.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a money transaction

> Create a money transaction by charging a customer for a custom item. <h3>OAuth</h3>Required scopes: <code>transactions</code>



## OpenAPI

````yaml /assets/openapi.json post /transactions/money/v1
openapi: 3.0.2
info:
  title: Spacebring
  version: 1.0.0
  termsOfService: https://www.spacebring.com/terms
servers:
  - url: https://api.spacebring.com
security: []
paths:
  /transactions/money/v1:
    post:
      tags:
        - Transactions
      summary: Create a money transaction
      description: >-
        Create a money transaction by charging a customer for a custom item.
        <h3>OAuth</h3>Required scopes: <code>transactions</code>
      operationId: createMoneyTransaction
      parameters:
        - in: header
          name: spacebring-network-id
          schema:
            type: string
            format: uuid
          required: false
          description: >-
            The id of the network. Required when using bearer token
            authentication
      requestBody:
        $ref: '#/components/requestBodies/createMoneyTransaction'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createMoneyTransaction'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseError'
      security:
        - BasicAuth: []
        - OAuth2:
            - transactions
components:
  requestBodies:
    createMoneyTransaction:
      content:
        application/json:
          schema:
            type: object
            properties:
              customerRef:
                type: string
                format: uuid
                description: ID of the company or user to charge.
              customerAddress:
                description: Customer billing address.
                type: object
                properties:
                  city:
                    description: City.
                    type: string
                  countryCode:
                    description: ISO country code.
                    nullable: true
                    type: string
                  line1:
                    description: Address line 1.
                    type: string
                  line2:
                    description: Address line 2.
                    type: string
                  postalCode:
                    description: Postal code.
                    type: string
                  state:
                    description: State or region.
                    type: string
              customerName:
                description: Customer legal name.
                type: string
              customerTaxId:
                description: Customer tax ID.
                type: string
              customItem:
                type: object
                properties:
                  currencyCode:
                    description: Custom item currency code.
                    type: string
                  description:
                    description: Custom item description.
                    type: string
                    minLength: 1
                  tax:
                    description: Tax details. Required when the location has tax enabled.
                    type: object
                    properties:
                      rate:
                        type: number
                        minimum: 0
                        description: Tax rate.
                    required:
                      - rate
                  unitAmount:
                    type: number
                    minimum: 0
                    exclusiveMinimum: true
                    description: Custom item unit amount in major units.
                  unitQuantity:
                    type: integer
                    minimum: 0
                    exclusiveMinimum: true
                    maximum: 9007199254740991
                    description: Custom item unit quantity.
                required:
                  - currencyCode
                  - unitAmount
                  - unitQuantity
                description: Custom item to charge for.
              payment:
                type: object
                properties:
                  method:
                    type: object
                    properties:
                      external:
                        description: >-
                          External payment method, recorded outside the
                          platform.
                        type: object
                        properties: {}
                      paymentGateway:
                        description: Payment gateway (card) payment method.
                        type: object
                        properties:
                          gateway:
                            type: string
                            enum:
                              - hyperpay
                              - mollie
                              - plata
                              - stripe
                              - tap
                              - wayforpay
                            description: >-
                              Payment gateway provider. Only gateways that
                              support saved payment methods can be charged.
                          id:
                            description: ID of the saved payment method to charge.
                            nullable: true
                            type: string
                            format: uuid
                        required:
                          - gateway
                      type:
                        type: string
                        enum:
                          - external
                          - paymentGateway
                        description: Selected payment method type.
                    required:
                      - type
                    description: Payment method details.
                required:
                  - method
                description: Payment details.
            required:
              - customerRef
              - customItem
              - payment
      required: true
  schemas:
    createMoneyTransaction:
      type: object
      additionalProperties: false
      properties:
        transaction:
          type: object
          additionalProperties: false
          description: The created money transaction.
          properties:
            amount:
              type: number
              description: Transaction amount in major units.
            billingAddressBy:
              deprecated: true
              description: Deprecated. Use locationAddress instead.
              type: string
            billingAddressTo:
              deprecated: true
              description: Deprecated. Use customerAddress instead.
              type: string
            booking:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                deleteDate:
                  description: ISO timestamp of when the booking was deleted.
                  type: string
                  format: date-time
                endDate:
                  description: Booking end date.
                  type: string
                  format: date-time
                id:
                  type: string
                  format: uuid
                  description: Booking id.
                membershipRefDeletedBy:
                  description: Membership of the user who deleted the booking.
                  type: string
                  format: uuid
                price:
                  type: object
                  properties:
                    netAmount:
                      type: number
                      description: Amount excluding tax in major units.
                    taxAmount:
                      type: number
                      description: Tax amount in major units.
                  required:
                    - netAmount
                  additionalProperties: false
                  deprecated: true
                  description: Booking price.
                resource:
                  type: object
                  properties:
                    id:
                      type: string
                      format: uuid
                      description: Resource id.
                    title:
                      type: string
                      description: Resource title.
                  required:
                    - id
                    - title
                  additionalProperties: false
                  description: Booked resource.
                startDate:
                  description: Booking start date.
                  type: string
                  format: date-time
                userDeletedBy:
                  description: User who deleted the booking.
                  type: object
                  properties:
                    about:
                      nullable: true
                      type: string
                    email:
                      nullable: true
                      type: string
                    id:
                      type: string
                      format: uuid
                    name:
                      nullable: true
                      type: string
                    phoneNumber:
                      nullable: true
                      type: string
                    photoUrl:
                      nullable: true
                      type: string
                    surname:
                      nullable: true
                      type: string
                  required:
                    - id
                  additionalProperties: false
              required:
                - id
                - price
                - resource
              additionalProperties: false
            company:
              deprecated: true
              description: Deprecated. Use customer instead.
              type: object
              properties:
                createDate:
                  type: string
                  format: date-time
                  description: ISO timestamp of company creation.
                id:
                  type: string
                  format: uuid
                  description: Company id.
                locationRef:
                  type: string
                  format: uuid
                  description: Location id.
                metadata:
                  description: Company metadata.
                  type: object
                  additionalProperties: {}
                notes:
                  description: Internal notes.
                  type: string
                subscriptionRef:
                  nullable: true
                  description: Primary subscription id.
                  type: string
                  format: uuid
                title:
                  description: Company name.
                  type: string
              required:
                - createDate
                - id
                - locationRef
                - subscriptionRef
                - title
              additionalProperties: false
            companyRef:
              deprecated: true
              description: Deprecated. Use customer instead.
              type: string
              format: uuid
            createDate:
              type: string
              format: date-time
              description: ISO timestamp of when the transaction was created.
            creditPackage:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                amount:
                  type: number
                  description: >-
                    Credits amount of the package, or the package price when the
                    package has no credits.
                creditsAmount:
                  description: Credits amount of the package.
                  type: number
                dayPassesAmount:
                  description: Day passes amount of the package.
                  type: number
                price:
                  type: object
                  properties:
                    netAmount:
                      type: number
                      description: Amount excluding tax in major units.
                    taxAmount:
                      type: number
                      description: Tax amount in major units.
                  required:
                    - netAmount
                  additionalProperties: false
                  deprecated: true
                  description: Package price.
              required:
                - amount
                - price
              additionalProperties: false
            currencyCode:
              type: string
              description: ISO currency code.
            customer:
              description: Customer associated with this transaction.
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: ID of the company or user.
                logo:
                  description: Company logo.
                  type: object
                  properties:
                    key:
                      type: string
                    url:
                      type: string
                  required:
                    - key
                    - url
                  additionalProperties: false
                publicLogoUrl:
                  description: Public logo URL derived from the company website.
                  type: string
                title:
                  description: Company name.
                  type: string
                type:
                  type: string
                  enum:
                    - company
                    - user
                  description: Whether the customer is a company or a user.
                user:
                  description: User details for user customers.
                  type: object
                  properties:
                    about:
                      nullable: true
                      type: string
                    email:
                      nullable: true
                      type: string
                    id:
                      type: string
                      format: uuid
                    name:
                      nullable: true
                      type: string
                    phoneNumber:
                      nullable: true
                      type: string
                    photoUrl:
                      nullable: true
                      type: string
                    surname:
                      nullable: true
                      type: string
                  required:
                    - id
                  additionalProperties: false
              required:
                - id
                - type
              additionalProperties: false
            customerRefCreatedBy:
              description: >-
                ID of the customer the user who created the transaction belongs
                to.
              type: string
              format: uuid
            customerAddress:
              description: Customer billing address.
              type: object
              properties:
                city:
                  type: string
                countryCode:
                  nullable: true
                  type: string
                line1:
                  type: string
                line2:
                  type: string
                postalCode:
                  type: string
                state:
                  type: string
              required:
                - city
                - countryCode
                - line1
                - line2
                - postalCode
                - state
              additionalProperties: false
            customerName:
              description: Customer legal name.
              type: string
            customerTaxId:
              description: Customer tax ID.
              type: string
            customItem:
              description: Custom item details.
              type: object
              properties:
                currencyCode:
                  description: Custom item currency code.
                  type: string
                description:
                  description: Custom item description.
                  type: string
                tax:
                  type: object
                  properties:
                    enabled:
                      type: boolean
                      description: Whether tax is enabled for the custom item.
                    rate:
                      type: number
                      minimum: 0
                      description: Tax rate.
                  required:
                    - enabled
                    - rate
                  additionalProperties: false
                unitAmount:
                  description: Custom item unit amount in major units.
                  type: number
                unitQuantity:
                  description: Custom item unit quantity.
                  type: number
              additionalProperties: false
            discounts:
              description: Discounts applied to the transaction.
              type: array
              items:
                type: object
                properties:
                  coupon:
                    type: object
                    properties:
                      amountOff:
                        description: Fixed amount discount.
                        type: number
                      currencyCode:
                        description: Currency of the fixed amount discount.
                        type: string
                      id:
                        description: Coupon id.
                        type: string
                      percentOff:
                        description: Percentage discount.
                        type: number
                      productTypes:
                        description: Product types the coupon applies to.
                        type: array
                        items:
                          type: string
                      type:
                        description: Coupon type.
                        type: string
                    additionalProperties: false
                    description: Applied coupon.
                  promocode:
                    description: Promocode the coupon was applied with.
                    type: object
                    properties:
                      code:
                        type: string
                        description: Promocode.
                      expiration:
                        type: object
                        properties:
                          date:
                            description: ISO timestamp when the promocode expires.
                            type: string
                            format: date-time
                          enabled:
                            type: boolean
                            description: Whether the promocode has an expiration date.
                        required:
                          - enabled
                        additionalProperties: false
                        description: Promocode expiration settings.
                      id:
                        type: string
                        format: uuid
                        description: Promocode id.
                      limitByFirstPurchase:
                        description: >-
                          Whether the promocode is limited to the first
                          purchase.
                        type: boolean
                    required:
                      - code
                      - id
                    additionalProperties: false
                  subscriptionId:
                    description: ID of the subscription this discount is associated with.
                    type: string
                    format: uuid
                required:
                  - coupon
                additionalProperties: false
            errorDescription:
              description: Payment gateway error description for failed transactions.
              type: string
            id:
              type: string
              format: uuid
              description: Unique identifier of the transaction.
            invoice:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: Invoice id.
                title:
                  type: string
                  description: Invoice title.
              required:
                - id
                - title
              additionalProperties: false
            locationAddress:
              description: Location billing address.
              type: object
              properties:
                city:
                  type: string
                countryCode:
                  nullable: true
                  type: string
                line1:
                  type: string
                line2:
                  type: string
                postalCode:
                  type: string
                state:
                  type: string
              required:
                - city
                - countryCode
                - line1
                - line2
                - postalCode
                - state
              additionalProperties: false
            locationName:
              description: Location legal name.
              type: string
            locationRef:
              type: string
              format: uuid
              description: ID of the organization (location).
            locationTaxId:
              description: Location tax ID.
              type: string
            membershipRef:
              deprecated: true
              description: Deprecated. Use customer instead.
              type: string
              format: uuid
            membershipRefCreator:
              deprecated: true
              description: Deprecated. Use customerRefCreatedBy instead.
              type: string
              format: uuid
            networkRef:
              type: string
              format: uuid
              description: ID of the network.
            order:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: Order id.
                items:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        description: Order item id.
                      product:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                            description: Product id.
                          option:
                            description: Product option.
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                                description: Product option id.
                              title:
                                type: string
                                description: Product option title.
                            required:
                              - id
                              - title
                            additionalProperties: false
                          title:
                            type: string
                            description: Product title.
                        required:
                          - id
                          - title
                        additionalProperties: false
                        description: Ordered product.
                      quantity:
                        type: number
                        description: Quantity of units.
                    required:
                      - id
                      - product
                      - quantity
                    additionalProperties: false
                  description: Order items.
              required:
                - id
                - items
              additionalProperties: false
            payment:
              type: object
              properties:
                dispute:
                  description: Payment dispute details.
                  type: object
                  properties:
                    createDate:
                      type: string
                      format: date-time
                      description: ISO timestamp of when the dispute was opened.
                  required:
                    - createDate
                  additionalProperties: false
                method:
                  type: object
                  properties:
                    external:
                      description: Present when type is external.
                      type: object
                      properties: {}
                      additionalProperties: false
                    paymentGateway:
                      description: Present when type is paymentGateway.
                      type: object
                      properties:
                        gateway:
                          type: string
                          description: Payment gateway identifier.
                        label:
                          description: Display label for the payment method.
                          type: string
                        mask:
                          description: Masked card or account identifier.
                          type: string
                        title:
                          description: Display title for the payment gateway.
                          type: string
                      required:
                        - gateway
                      additionalProperties: false
                    type:
                      type: string
                      enum:
                        - external
                        - paymentGateway
                      description: Payment method type.
                  required:
                    - type
                  additionalProperties: false
                  description: Payment method used.
                price:
                  type: object
                  properties:
                    money:
                      type: object
                      properties:
                        currencyCode:
                          type: string
                          description: ISO currency code.
                        grossAmount:
                          type: number
                          description: Payment amount in major units.
                      required:
                        - currencyCode
                        - grossAmount
                      additionalProperties: false
                    type:
                      type: string
                      enum:
                        - money
                  required:
                    - money
                    - type
                  additionalProperties: false
                  description: Payment price details.
                refundable:
                  type: boolean
                  description: Whether this payment can be refunded.
                refunds:
                  description: Refunds issued against this payment.
                  type: object
                  properties:
                    money:
                      type: array
                      items:
                        type: object
                        properties:
                          createDate:
                            type: string
                            format: date-time
                            description: Refund creation timestamp.
                          currencyCode:
                            type: string
                            description: ISO currency code.
                          customerRefCreatedBy:
                            description: >-
                              ID of the customer the user who created the refund
                              belongs to.
                            type: string
                            format: uuid
                          grossAmount:
                            type: number
                            description: Refunded amount in major units.
                          id:
                            type: string
                            format: uuid
                            description: Refund id.
                          initiator:
                            description: >-
                              Who initiated the refund: `spacebring` for a
                              refund issued in Spacebring, `stripe` for one
                              issued in the Stripe dashboard.
                            type: string
                          userCreatedBy:
                            description: User who created the refund.
                            type: object
                            properties:
                              about:
                                nullable: true
                                type: string
                              email:
                                nullable: true
                                type: string
                              id:
                                type: string
                                format: uuid
                              name:
                                nullable: true
                                type: string
                              phoneNumber:
                                nullable: true
                                type: string
                              photoUrl:
                                nullable: true
                                type: string
                              surname:
                                nullable: true
                                type: string
                            required:
                              - id
                            additionalProperties: false
                        required:
                          - createDate
                          - currencyCode
                          - grossAmount
                          - id
                        additionalProperties: false
                    type:
                      type: string
                      enum:
                        - money
                  required:
                    - money
                    - type
                  additionalProperties: false
                surcharge:
                  description: Payment surcharge details.
                  type: object
                  properties:
                    money:
                      type: object
                      properties:
                        amount:
                          type: number
                          description: Surcharge amount in major units.
                        currencyCode:
                          type: string
                          description: ISO currency code.
                        percentage:
                          description: Surcharge percentage.
                          type: number
                        rate:
                          description: Surcharge rate.
                          type: number
                      required:
                        - amount
                        - currencyCode
                      additionalProperties: false
                    type:
                      type: string
                      enum:
                        - money
                  required:
                    - money
                    - type
                  additionalProperties: false
              required:
                - method
                - price
                - refundable
              additionalProperties: false
              description: Payment details.
            paymentMethod:
              type: object
              properties:
                label:
                  description: Display label of the payment method.
                  type: string
                type:
                  type: string
                  description: Payment gateway identifier, or external.
              required:
                - type
              additionalProperties: false
              deprecated: true
              description: Deprecated. Use payment.method instead.
            plan:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                  description: Plan id.
                title:
                  type: string
                  description: Plan title.
              required:
                - id
                - title
              additionalProperties: false
            product:
              description: Product details.
              type: object
              properties:
                bookingRef:
                  description: ID of the associated booking.
                  type: string
                  format: uuid
                eventTicketRef:
                  description: ID of the associated event ticket.
                  type: string
                  format: uuid
                invoiceRef:
                  description: ID of the associated invoice.
                  type: string
                  format: uuid
                orderRef:
                  description: ID of the associated order.
                  type: string
                  format: uuid
                subscriptionRef:
                  description: ID of the associated subscription.
                  type: string
                  format: uuid
                title:
                  type: string
                  description: Display title of the product.
                type:
                  type: string
                  enum:
                    - booking
                    - custom
                    - creditPackage
                    - eventTicket
                    - invoice
                    - order
                    - subscription
                  description: Product type.
              required:
                - type
              additionalProperties: false
            receiptPdfUrl:
              description: >-
                URL to download the receipt PDF. The URL carries a receipt
                token, so it can be opened without authentication.
              type: string
            refund:
              deprecated: true
              description: Deprecated. Use payment.refunds instead.
              type: object
              properties:
                amount:
                  type: number
                  description: Refunded amount.
                createDate:
                  type: string
                  format: date-time
                  description: Refund creation timestamp.
              required:
                - amount
                - createDate
              additionalProperties: false
            refunds:
              deprecated: true
              description: Deprecated. Use payment.refunds instead.
              type: array
              items:
                type: object
                properties:
                  amount:
                    type: number
                    description: Refunded amount.
                  createDate:
                    type: string
                    format: date-time
                    description: Refund creation timestamp.
                  currencyCode:
                    type: string
                    description: ISO currency code.
                  id:
                    type: string
                    format: uuid
                    description: Refund id.
                  initiator:
                    description: Refund initiator.
                    type: string
                  membershipRefCreator:
                    description: Membership of the user who created the refund.
                    type: string
                    format: uuid
                  organizationRef:
                    type: string
                    format: uuid
                    description: Location id.
                  userCreator:
                    description: User who created the refund.
                    type: object
                    properties:
                      about:
                        nullable: true
                        type: string
                      email:
                        nullable: true
                        type: string
                      id:
                        type: string
                        format: uuid
                      name:
                        nullable: true
                        type: string
                      phoneNumber:
                        nullable: true
                        type: string
                      photoUrl:
                        nullable: true
                        type: string
                      surname:
                        nullable: true
                        type: string
                    required:
                      - id
                    additionalProperties: false
                  userRefCreator:
                    description: User id of the refund creator.
                    type: string
                    format: uuid
                required:
                  - amount
                  - createDate
                  - organizationRef
                additionalProperties: false
            status:
              type: string
              enum:
                - canceled
                - failed
                - pending
                - processing
                - succeeded
              description: Transaction status.
            ticket:
              deprecated: true
              description: Deprecated. Use product instead.
              type: object
              properties:
                createDate:
                  description: Ticket creation timestamp.
                  type: string
                  format: date-time
                deleteDate:
                  description: ISO timestamp of when the ticket was deleted.
                  type: string
                  format: date-time
                event:
                  description: Event details.
                  type: object
                  properties:
                    endDate:
                      description: Event end date.
                      type: string
                      format: date-time
                    id:
                      type: string
                      format: uuid
                      description: Event id.
                    startDate:
                      description: Event start date.
                      type: string
                      format: date-time
                    title:
                      type: string
                      description: Event title.
                  required:
                    - id
                    - title
                  additionalProperties: false
                id:
                  type: string
                  format: uuid
                  description: Ticket id.
                membershipRefDeletedBy:
                  description: Membership of the user who deleted the ticket.
                  type: string
                  format: uuid
                price:
                  type: object
                  properties:
                    netAmount:
                      type: number
                      description: Amount excluding tax in major units.
                    taxAmount:
                      type: number
                      description: Tax amount in major units.
                  required:
                    - netAmount
                  additionalProperties: false
                  deprecated: true
                  description: Ticket price.
                quantity:
                  type: number
                  description: Number of tickets.
                userDeletedBy:
                  description: User who deleted the ticket.
                  type: object
                  properties:
                    about:
                      nullable: true
                      type: string
                    email:
                      nullable: true
                      type: string
                    id:
                      type: string
                      format: uuid
                    name:
                      nullable: true
                      type: string
                    phoneNumber:
                      nullable: true
                      type: string
                    photoUrl:
                      nullable: true
                      type: string
                    surname:
                      nullable: true
                      type: string
                  required:
                    - id
                  additionalProperties: false
              required:
                - id
                - price
                - quantity
              additionalProperties: false
            type:
              type: string
              enum:
                - booking
                - custom
                - creditPackage
                - eventTicket
                - invoice
                - order
                - subscription
              description: Money transaction type.
            user:
              deprecated: true
              description: Deprecated. Use customer.user instead.
              type: object
              properties:
                about:
                  nullable: true
                  type: string
                email:
                  nullable: true
                  type: string
                id:
                  type: string
                  format: uuid
                name:
                  nullable: true
                  type: string
                phoneNumber:
                  nullable: true
                  type: string
                photoUrl:
                  nullable: true
                  type: string
                surname:
                  nullable: true
                  type: string
              required:
                - id
              additionalProperties: false
            userCreatedBy:
              description: User who created the transaction.
              type: object
              properties:
                about:
                  nullable: true
                  type: string
                email:
                  nullable: true
                  type: string
                id:
                  type: string
                  format: uuid
                name:
                  nullable: true
                  type: string
                phoneNumber:
                  nullable: true
                  type: string
                photoUrl:
                  nullable: true
                  type: string
                surname:
                  nullable: true
                  type: string
              required:
                - id
              additionalProperties: false
            userOwner:
              deprecated: true
              description: Deprecated. Use customer.user instead.
              type: object
              properties:
                about:
                  nullable: true
                  type: string
                email:
                  nullable: true
                  type: string
                id:
                  type: string
                  format: uuid
                name:
                  nullable: true
                  type: string
                phoneNumber:
                  nullable: true
                  type: string
                photoUrl:
                  nullable: true
                  type: string
                surname:
                  nullable: true
                  type: string
              required:
                - id
              additionalProperties: false
            userRefCreator:
              deprecated: true
              description: Deprecated. Use userCreatedBy instead.
              type: string
              format: uuid
            userRefOwner:
              deprecated: true
              description: Deprecated. Use customer.user instead.
              type: string
              format: uuid
          required:
            - amount
            - createDate
            - currencyCode
            - id
            - locationRef
            - networkRef
            - payment
            - paymentMethod
            - status
            - type
      required:
        - transaction
    responseError:
      type: object
      properties:
        message:
          type: string
        type:
          type: string
  securitySchemes:
    BasicAuth:
      type: http
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#basic-authentication)
        for how to authorize your requests
      scheme: basic
    OAuth2:
      type: oauth2
      description: >-
        See our [authentication
        documentation](https://www.spacebring.com/docs/api-reference/authentication#oauth2)
        for how to authorize your requests
      flows:
        authorizationCode:
          authorizationUrl: https://api.spacebring.com/oauth2/authorize
          tokenUrl: https://api.spacebring.com/oauth2/token
          refreshUrl: https://api.spacebring.com/oauth2/token
          scopes:
            benefits.readonly: Read benefits and applications
            benefits: Read and write benefits and applications
            community.readonly: Read community companies and memberships
            community: Read and write community companies and memberships
            events.readonly: Read events and tickets
            events: Read and write events and tickets
            feed.readonly: Read feed posts
            feed: Read and write feed posts
            invoices.readonly: Read contracts, credit notes, discounts and invoices
            invoices: Read and write contract, credit notes, discounts and invoices
            locations.readonly: Read locations
            locations: Read and write locations
            plans.readonly: Read plans
            plans: Read and write plans
            resources.readonly: Read resources and bookings
            resources: Read and write resources and bookings
            subscriptions.readonly: Read subscriptions
            subscriptions: Read and write subscriptions
            shop.readonly: Read products and orders
            shop: Read and write products and orders
            support.readonly: Read support tickets
            support: Read and write support tickets
            transactions.readonly: Read transactions
            transactions: Read and write transactions
            visitors.readonly: Read visitors
            visitors: Read and write visitors

````